require "Cocos2d"
require "Cocos2dConstants"
require "sdk/SdkMgr"

sdk_test = {};
local win_size = cc.Director:getInstance():getWinSize()

function sdk_test:__init()
	
end

function sdk_test:star( root )
    self.view = cc.LayerColor:create(cc.c4b(0,0,0,100))
    root:addChild(self.view);
    self._widget = ccs.GUIReader:getInstance():widgetFromJsonFile("scripts/SDK_test.json")
    self._widget:ignoreAnchorPointForPosition(false)
    self._widget:setAnchorPoint(cc.p(0.5, 0.5))
    self._widget:setPosition(win_size.width/2, win_size.height/2)
    self.view:addChild(self._widget)
    
    for i=1, 8 do
    	local fun = function ()
    		self:callback(i)
    	end
    	local button = self._widget:getChildByName("Button_"..i)
        local function previousCallback(sender, eventType)
			if eventType == 2 then
                fun(i)
            end
        end
        button:addTouchEventListener(previousCallback)
    end
end

--re_code：付费返回的状态码（1=成功，2=失败，0=取消）
--re_billing：对应之前调用的计费点编码
function pay_call_back_main(re_code, re_billing)
	print("java_pay_to_lua_pay_call_back(".. re_code ..",".. re_billing ..")" );
end


--function pay_call_back(re_code,re_billing)
--	print("java_pay_to_pay_call_back(".. re_code ..",".. re_billing ..")" );
--end

function sdk_test:callback( case )
	print("case:", case)
	
	if case == 1 then
		SdkMgr:pay(1,pay_call_back_main);
	elseif case == 2 then
		SdkMgr:pay(2,pay_call_back_main);
	elseif case == 3 then
		SdkMgr:pay(3,pay_call_back_main);
	elseif case == 4 then
		SdkMgr:pay(4,pay_call_back_main);
	elseif case == 5 then
		SdkMgr:pay(5,pay_call_back_main);
	elseif case == 6 then
		SdkMgr:pay(6,pay_call_back_main);
	elseif case == 7 then
		SdkMgr:pay(999,pay_call_back_main);
	elseif case == 8 then
		SdkMgr:pay(8,pay_call_back_main);
	else
	
	end
	
end